> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneofnone.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create webhook



## OpenAPI

````yaml post /v1/team/webhooks
openapi: 3.1.0
info:
  title: One of None API
  version: 1.0.0
  description: >-
    The One of None API manages product collections, registrations, short URLs,
    team operations, and rewards used by storefront integrations including
    Shopify discounts and redemption flows.
servers:
  - url: https://api.oneofnone.io
security:
  - ApiKeyAuth: []
paths:
  /v1/team/webhooks:
    post:
      summary: Create webhook
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWebhookBody'
      responses:
        '201':
          description: Created webhook
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreatedWebhookResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CreateWebhookBody:
      type: object
      properties:
        url:
          type: string
          format: uri
        events:
          type: array
          items:
            type: string
            enum:
              - short_url.tapped
              - product.registered
              - activity.created
              - account.created
              - form_submission.created
          minItems: 1
          maxItems: 5
      required:
        - url
        - events
      additionalProperties: false
    CreatedWebhookResponse:
      type: object
      properties:
        id:
          type: string
        url:
          type: string
        events:
          type: array
          items:
            type: string
        is_enabled:
          type: boolean
        created_at:
          type: string
      required:
        - id
        - url
        - events
        - is_enabled
        - created_at
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````